Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#731 closed defect (fixed)

CSB337's ethernet driver doesn't work

Reported by: yanjun.luo Owned by: Jay Monkman
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@…, yanjun.luo@… Blocked By:
Blocking:

Description

CSB337's ethernet driver doesn't work.Because it doesn't initialize some I/O pin and unicast enable bit.

Release:
4.6.1 from http://www.lopingdog.com/rtems

Environment:
Host: P4-2.8C, Windows XP + cygwin.
Target: AT91RM9200

How-To-Repeat:
If you use a fresh U-BOOT(I mean, doesn't init I/O for RTEMS),the ethernet driver doesn't work.

Attachments (2)

network.c (36.0 KB) - added by yanjun.luo on 12/03/06 at 13:31:12.
network.c
csb337_network.c.diff (2.5 KB) - added by yanjun.luo on 12/03/06 at 13:31:12.
csb337_network.c.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 12/07/04 at 13:31:32 by Joel Sherrill

Owner: changed from joel to Jay Monkman

comment:2 Changed on 02/25/05 at 04:35:03 by Jay Monkman

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Fixed. Patch attached

Changed on 12/03/06 at 13:31:12 by yanjun.luo

Attachment: network.c added

network.c

Note: See TracTickets for help on using tickets.